Subject: Re: [PATCH -next] bcma: needs export.h

From: Randy Dunlap <[email-masked]>
Date: Tue, 20 Sep 2011 13:43:18 -0700

On 09/20/2011 11:45 AM, Rafał Miłecki wrote:
> 2011/9/20 Randy Dunlap <[email-masked]>:
>> From: Randy Dunlap <[email-masked]>
>>
>> bcma/driver_chipcommon_pmu.c needs to include <linux/export.h>,
>> so add it to the headers that are included by bcma_private.h.
> 
> Please take a look at discussion in:
> [PATCH -next] bcma: main.c needs to include <linux/slab.h>
> thread (by Andrew).
> 
> I believe that according to the discussion, such a includes should be
> done in .c files.
> 
> Andrew: can you comment? Am I right?

Sure, I'll resubmit the patch.

Is there already a patch to remove <linux/delay.h> from bcma_private.h ?

bcma_private.h uses __init & __exit, so it should #include <linux/init.h> ...

-- 
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***